Loading...
Searching...
No Matches
pcl::device::Intr Struct Reference

Camera intrinsics structure. More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/kinfu/src/internal.h>`

## Public Member Functions

| Intr ()
| Intr (float fx_, float fy_, float cx_, float cy_)
Intr | operator() (int level_index) const
| Intr ()
| Intr (float fx_, float fy_, float cx_, float cy_)
void | setDefaultPPIfIncorrect (int cols, int rows)

## Public Attributes

float | fx
float | fy
float | cx
float | cy

## Detailed Description

Camera intrinsics structure.

The intrinsic camera calibration.

Definition at line 68 of file internal.h.

## Constructor & Destructor Documentation

## Intr() [1/4]

pcl::device::Intr::Intr | ( |  | ) |

inline

Definition at line 71 of file internal.h.

Referenced by operator()().

## Intr() [2/4]

pcl::device::Intr::Intr | ( | float | fx_,
|  | float | fy_,
|  | float | cx_,
|  | float | cy_ )

inline

Definition at line 72 of file internal.h.

References cx, cy, fx, and fy.

## Intr() [3/4]

pcl::device::Intr::Intr | ( |  | ) |

inline

Definition at line 66 of file internal.h.

## Intr() [4/4]

pcl::device::Intr::Intr | ( | float | fx_,
|  | float | fy_,
|  | float | cx_,
|  | float | cy_ )

inline

Definition at line 67 of file internal.h.

References cx, cy, fx, and fy.

## Member Function Documentation

## operator()()

Intr pcl::device::Intr::operator() | ( | int | level_index | ) | const

inline

Definition at line 74 of file internal.h.

References cx, cy, fx, fy, and Intr().

## setDefaultPPIfIncorrect()

void pcl::device::Intr::setDefaultPPIfIncorrect | ( | int | cols,
|  | int | rows )

inline

Definition at line 69 of file internal.h.

References cx, and cy.

## Member Data Documentation

## cx

float pcl::device::Intr::cx

Definition at line 70 of file internal.h.

Referenced by pcl::device::computePoint(), Intr(), operator()(), and setDefaultPPIfIncorrect().

## cy

float pcl::device::Intr::cy

Definition at line 70 of file internal.h.

Referenced by pcl::device::computePoint(), Intr(), operator()(), and setDefaultPPIfIncorrect().

## fx

float pcl::device::Intr::fx

Definition at line 70 of file internal.h.

Referenced by pcl::device::computePoint(), Intr(), and operator()().

## fy

float pcl::device::Intr::fy

Definition at line 70 of file internal.h.

Referenced by pcl::device::computePoint(), Intr(), and operator()().

The documentation for this struct was generated from the following files:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/kinfu/src/internal.h
- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/internal.h